JaxbMappedSuperclass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbMappedSuperclass

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbMappedSuperclass

    public class JaxbMappedSuperclass

extends Object

Defines the settings and mappings for a mapped superclass. Is allowed to be sparsely populated and used in conjunction with the annotations. Alternatively, the metadata-complete attribute can be used to indicate that no annotations are to be processed If this is the case then the defaulting rules will be recursively applied.

Field Summary
`protected JaxbAccessType` | `access`
`protected JaxbAttributes` | `attributes`
`protected String` | `clazz`
`protected String` | `description`
`protected JaxbEntityListeners` | `entityListeners`
`protected JaxbEmptyType` | `excludeDefaultListeners`
`protected JaxbEmptyType` | `excludeSuperclassListeners`
`protected JaxbIdClass` | `idClass`
`protected Boolean` | `metadataComplete`
`protected JaxbPostLoad` | `postLoad`
`protected JaxbPostPersist` | `postPersist`
`protected JaxbPostRemove` | `postRemove`
`protected JaxbPostUpdate` | `postUpdate`
`protected JaxbPrePersist` | `prePersist`
`protected JaxbPreRemove` | `preRemove`
`protected JaxbPreUpdate` | `preUpdate`

Constructor Summary
`JaxbMappedSuperclass()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`JaxbAttributes` | `getAttributes()` Gets the value of the attributes property.
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getDescription()` Gets the value of the description property.
`JaxbEntityListeners` | `getEntityListeners()` Gets the value of the entityListeners property.
`JaxbEmptyType` | `getExcludeDefaultListeners()` Gets the value of the excludeDefaultListeners property.
`JaxbEmptyType` | `getExcludeSuperclassListeners()` Gets the value of the excludeSuperclassListeners property.
`JaxbIdClass` | `getIdClass()` Gets the value of the idClass property.
`JaxbPostLoad` | `getPostLoad()` Gets the value of the postLoad property.
`JaxbPostPersist` | `getPostPersist()` Gets the value of the postPersist property.
`JaxbPostRemove` | `getPostRemove()` Gets the value of the postRemove property.
`JaxbPostUpdate` | `getPostUpdate()` Gets the value of the postUpdate property.
`JaxbPrePersist` | `getPrePersist()` Gets the value of the prePersist property.
`JaxbPreRemove` | `getPreRemove()` Gets the value of the preRemove property.
`JaxbPreUpdate` | `getPreUpdate()` Gets the value of the preUpdate property.
`Boolean` | `isMetadataComplete()` Gets the value of the metadataComplete property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setAttributes(JaxbAttributes value)` Sets the value of the attributes property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setEntityListeners(JaxbEntityListeners value)` Sets the value of the entityListeners property.
`void` | `setExcludeDefaultListeners(JaxbEmptyType value)` Sets the value of the excludeDefaultListeners property.
`void` | `setExcludeSuperclassListeners(JaxbEmptyType value)` Sets the value of the excludeSuperclassListeners property.
`void` | `setIdClass(JaxbIdClass value)` Sets the value of the idClass property.
`void` | `setMetadataComplete(Boolean value)` Sets the value of the metadataComplete property.
`void` | `setPostLoad(JaxbPostLoad value)` Sets the value of the postLoad property.
`void` | `setPostPersist(JaxbPostPersist value)` Sets the value of the postPersist property.
`void` | `setPostRemove(JaxbPostRemove value)` Sets the value of the postRemove property.
`void` | `setPostUpdate(JaxbPostUpdate value)` Sets the value of the postUpdate property.
`void` | `setPrePersist(JaxbPrePersist value)` Sets the value of the prePersist property.
`void` | `setPreRemove(JaxbPreRemove value)` Sets the value of the preRemove property.
`void` | `setPreUpdate(JaxbPreUpdate value)` Sets the value of the preUpdate property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### idClass

    protected JaxbIdClass idClass

### excludeDefaultListeners

    protected JaxbEmptyType excludeDefaultListeners

### excludeSuperclassListeners

    protected JaxbEmptyType excludeSuperclassListeners

### entityListeners

    protected JaxbEntityListeners entityListeners

### prePersist

    protected JaxbPrePersist prePersist

### postPersist

    protected JaxbPostPersist postPersist

### preRemove

    protected JaxbPreRemove preRemove

### postRemove

    protected JaxbPostRemove postRemove

### preUpdate

    protected JaxbPreUpdate preUpdate

### postUpdate

    protected JaxbPostUpdate postUpdate

### postLoad

    protected JaxbPostLoad postLoad

### attributes

    protected JaxbAttributes attributes

### clazz

    protected String clazz

### access

    protected JaxbAccessType access

### metadataComplete

    protected Boolean metadataComplete

Constructor Detail

### JaxbMappedSuperclass

    public JaxbMappedSuperclass()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getIdClass

    public JaxbIdClass getIdClass()

  Gets the value of the idClass property.

  Returns:
    possible object is `JaxbIdClass`

### setIdClass

    public void setIdClass(JaxbIdClass value)

  Sets the value of the idClass property.

  Parameters:
    `value` - allowed object is `JaxbIdClass`

### getExcludeDefaultListeners

    public JaxbEmptyType getExcludeDefaultListeners()

  Gets the value of the excludeDefaultListeners property.

  Returns:
    possible object is `JaxbEmptyType`

### setExcludeDefaultListeners

    public void setExcludeDefaultListeners(JaxbEmptyType value)

  Sets the value of the excludeDefaultListeners property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getExcludeSuperclassListeners

    public JaxbEmptyType getExcludeSuperclassListeners()

  Gets the value of the excludeSuperclassListeners property.

  Returns:
    possible object is `JaxbEmptyType`

### setExcludeSuperclassListeners

    public void setExcludeSuperclassListeners(JaxbEmptyType value)

  Sets the value of the excludeSuperclassListeners property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getEntityListeners

    public JaxbEntityListeners getEntityListeners()

  Gets the value of the entityListeners property.

  Returns:
    possible object is `JaxbEntityListeners`

### setEntityListeners

    public void setEntityListeners(JaxbEntityListeners value)

  Sets the value of the entityListeners property.

  Parameters:
    `value` - allowed object is `JaxbEntityListeners`

### getPrePersist

    public JaxbPrePersist getPrePersist()

  Gets the value of the prePersist property.

  Returns:
    possible object is `JaxbPrePersist`

### setPrePersist

    public void setPrePersist(JaxbPrePersist value)

  Sets the value of the prePersist property.

  Parameters:
    `value` - allowed object is `JaxbPrePersist`

### getPostPersist

    public JaxbPostPersist getPostPersist()

  Gets the value of the postPersist property.

  Returns:
    possible object is `JaxbPostPersist`

### setPostPersist

    public void setPostPersist(JaxbPostPersist value)

  Sets the value of the postPersist property.

  Parameters:
    `value` - allowed object is `JaxbPostPersist`

### getPreRemove

    public JaxbPreRemove getPreRemove()

  Gets the value of the preRemove property.

  Returns:
    possible object is `JaxbPreRemove`

### setPreRemove

    public void setPreRemove(JaxbPreRemove value)

  Sets the value of the preRemove property.

  Parameters:
    `value` - allowed object is `JaxbPreRemove`

### getPostRemove

    public JaxbPostRemove getPostRemove()

  Gets the value of the postRemove property.

  Returns:
    possible object is `JaxbPostRemove`

### setPostRemove

    public void setPostRemove(JaxbPostRemove value)

  Sets the value of the postRemove property.

  Parameters:
    `value` - allowed object is `JaxbPostRemove`

### getPreUpdate

    public JaxbPreUpdate getPreUpdate()

  Gets the value of the preUpdate property.

  Returns:
    possible object is `JaxbPreUpdate`

### setPreUpdate

    public void setPreUpdate(JaxbPreUpdate value)

  Sets the value of the preUpdate property.

  Parameters:
    `value` - allowed object is `JaxbPreUpdate`

### getPostUpdate

    public JaxbPostUpdate getPostUpdate()

  Gets the value of the postUpdate property.

  Returns:
    possible object is `JaxbPostUpdate`

### setPostUpdate

    public void setPostUpdate(JaxbPostUpdate value)

  Sets the value of the postUpdate property.

  Parameters:
    `value` - allowed object is `JaxbPostUpdate`

### getPostLoad

    public JaxbPostLoad getPostLoad()

  Gets the value of the postLoad property.

  Returns:
    possible object is `JaxbPostLoad`

### setPostLoad

    public void setPostLoad(JaxbPostLoad value)

  Sets the value of the postLoad property.

  Parameters:
    `value` - allowed object is `JaxbPostLoad`

### getAttributes

    public JaxbAttributes getAttributes()

  Gets the value of the attributes property.

  Returns:
    possible object is `JaxbAttributes`

### setAttributes

    public void setAttributes(JaxbAttributes value)

  Sets the value of the attributes property.

  Parameters:
    `value` - allowed object is `JaxbAttributes`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### isMetadataComplete

    public Boolean isMetadataComplete()

  Gets the value of the metadataComplete property.

  Returns:
    possible object is `Boolean`

### setMetadataComplete

    public void setMetadataComplete(Boolean value)

  Sets the value of the metadataComplete property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.